ANSILOVE(1)

NAME
ansilove - ANSI / ASCII art to PNG converter

SYNOPSIS
ansilove [-dhiqrsSv] [-b bits] [-c columns] [-f font] [-m mode] [-o file] [-R factor] [-t type] file

DESCRIPTION
ansilove is an ANSI / ASCII art to PNG converter, allowing to convert ANSI and artscene-related file formats into PNG images, supporting ANSI (.ANS), PCBoard (.PCB), Binary (.BIN), Artworx (.ADF), iCE Draw (.IDF), Tundra (.TND) and XBin (.XB) formats.

It creates size optimized 4-bit PNG files and supports SAUCE (Standard Architecture for Universal Comment Extensions), 80x25 and 80x50 PC fonts (including all the 14 MS-DOS charsets), Amiga fonts, and iCE colors.

The options are as follows:

-b bits
    Set to 9 to render 9th column of block characters (default: 8).

-c columns
    Adjust number of columns for ANSI, BIN, and TND files.

-d  Enable DOS aspect ratio.

-f font
    Select font for supported formats.

    Valid options for PC fonts are:

    80x25
        Default (Code page 437)

    80x50
        80x50 mode (Code page 437)

    cp737
        Greek (Code page 737)

    cp775
        Baltic (Code page 775)

    cp850
        Latin1 (Code page 850)

    cp852
        Latin2 (Code page 852)

    cp855
        Cyrillic (Code page 855)

    cp857
        Turkish (Code page 857)

    cp860
        Portuguese (Code page 860)

    cp861
        Icelandic (Code page 861)

    cp862
        Hebrew (Code page 862)

    cp863
        French Canadian (Code page 863)

    cp865
        Nordic (Code page 865)

    cp866
        Russian (Code page 866)

    cp869
        Greek (Code page 869)

    spleen
        Spleen (Modern font, code page 437)

    terminus
        Terminus (Modern font, code page 437)

    Valid options for Amiga fonts are:

    amiga
        Alias to Topaz, see below

    microknight
        Original MicroKnight version

    microknight+
        Modified MicroKnight version

    mosoul
        Original mO'sOul font

    pot-noodle
        Original P0T-NOoDLE font

    topaz
        Original Topaz Kickstart 2.x version

    topaz+
        Modified Topaz Kickstart 2.x+ version

    topaz500
        Original Topaz Kickstart 1.x version

    topaz500+
        Modified Topaz Kickstart 1.x version

-h  Show help.

-i  Enable iCE colors.

-m mode
    Set rendering mode for ANS files.

    Valid options are:

    ced Black on gray, with 78 columns.

    transparent
        Render with transparent background.

    workbench
        Use Amiga Workbench palette.

-o file
    Specify output filename/path.

-q  Suppress output messages (quiet).

-r  Create Retina @2x output file.

-R factor
    Create Retina output file with custom scale factor.

-t type
    Specify input file type.

    Valid types are:

    ans ANSi (ANSI escape sequences: ANSI X3.64 standard)

    adf Artworx format, supporting custom character sets and palettes

    bin Binary format (raw memory copy of text mode video memory)

    idf iCE Draw format, supporting custom character sets and palettes

    pcb PCBoard Bulletin Board System (BBS) own file format

    tnd TundraDraw format, supporting 24-bit color mode

    xb  XBin format, supporting custom character sets and palettes

-s  Show SAUCE record without generating output.

-S  If available, use SAUCE info for render options (ex: width).

-v  Show version information.

EXAMPLES
To render a file with iCE colors enabled:

    $ ansilove -i file.ans

To create a Retina @2x output file:

    $ ansilove -r file.ans

To creates a Retina output file with a custom scale factor:

    $ ansilove -R 3 file.ans

To only display SAUCE record without generating output:

    $ ansilove -s file.ans
To render a file with transparent background:

    $ ansilove -m transparent file.ans

To render a file using a custom font:

    $ ansilove -f amiga file.txt

To render a file using a custom font, rendering the 9th column, enabling iCE colors, and using DOS aspect ratio:

    $ ansilove -f 80x50 -b 9 -d -i file.ans

AUTHORS
-nosplit ansilove was written by Stefan Vogt, Brian Cassidy, and Frederic Cambus.